• CONTEST ALERT - Experience the power of DDR5 memory with Kingston Click for details

Packages not INSTALLING/ADDING/UPDATING in openSUSE-15.3(Leap)

kg11sgbg

Indian Railways - The Vibrant and Moving INDIA
Guys,I find it is nearly impossible to install/add/update packages in openSUSE-15.3(Leap) due to the following:
warning: Found BDB Packages database while attempting ndb backend: using bdb_ro backend.
Also this is happening:

localhost:/home/kgtabon29 # zypper in lsb
warning: Found BDB Packages database while attempting ndb backend: using bdb_ro backend.
warning: Found BDB Packages database while attempting ndb backend: using bdb_ro backend.
warning: Found BDB Packages database while attempting ndb backend: using bdb_ro backend.
Loading repository data...
Reading installed packages...
warning: Found BDB Packages database while attempting ndb backend: using bdb_ro backend.
Resolving package dependencies...

The following NEW package is going to be installed:
lsb

1 new package to install.
Overall download size: 14.1 KiB. Already cached: 0 B. After the operation, additional 110.0 B will be used.
Continue? [y/n/v/...? shows all options] (y): y
Retrieving package lsb-4.0.fake-lp153.2.3.1.x86_64 (1/1), 14.1 KiB ( 110 B unpacked)
Retrieving: lsb-4.0.fake-lp153.2.3.1.x86_64.rpm ........................................................................................................................................................................................[done]

Checking for file conflicts: --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------[\]warning: Found BDB Packages database while attempting ndb backend: using bdb_ro backend.
Checking for file conflicts: ...........................................................................................................................................................................................................[done]
(1/1) Installing: lsb-4.0.fake-lp153.2.3.1.x86_64 .....................................................................................................................................................................................[error]
Installation of lsb-4.0.fake-lp153.2.3.1.x86_64 failed:
Error: Subprocess failed. Error: RPM failed: warning: Found BDB Packages database while attempting ndb backend: using bdb_ro backend.
warning: Found BDB Packages database while attempting ndb backend: using bdb_ro backend.
error: cannot open Packages index using unknown db - Operation not permitted (1)
error: cannot open Packages database in /var/lib/rpm

Abort, retry, ignore? [a/r/i] (a): a
warning: Found BDB Packages database while attempting ndb backend: using bdb_ro backend.
Problem occurred during or after installation or removal of packages:
Installation has been aborted as directed.
Please see the above error message for a hint.
localhost:/home/kgtabon29 #
 

thetechfreak

Legend Never Ends
Found this fix online

Code:
It'll go away by doing one of the following:
a) changing configuration (back to bdb)
b) rpmdb --rebuilddb (which will convert to the configured format)
c) reboot (which should do 2 automatically)
 
OP
kg11sgbg

kg11sgbg

Indian Railways - The Vibrant and Moving INDIA
Found this fix online

Code:
It'll go away by doing one of the following:
a) changing configuration (back to bdb)
b) rpmdb --rebuilddb (which will convert to the configured format)
c) reboot (which should do 2 automatically)
Thanks,Friend.
Did run that code but was of no use.
What the solution was ,during installation of openSUSE 15.3,under Package Management,Under Basic Packages ,you have to select rpm package and deselect rpm-db package. THAT IS THE SOLUTION!!!!
 
Top Bottom